package cn.novalon.gym.manage.member.enums;

/**
 * 会员卡状态机事件枚举
 * 
 * @author 付嘉
 * @date 2026-05-27
 */
public enum CardEvent {
    
    ACTIVATE("激活卡片"),
    USE("使用卡片"),
    RENEW("续费"),
    EXPIRE("过期"),
    REFUND("退款"),
    DISABLE("禁用");

    private final String desc;

    CardEvent(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }
}
